cURL
curl -X GET "https://api.fitsociety.io/public/v1/event-templates" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/event-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/event-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"eventTemplates": [
{
"eventTemplateId": "66f7b8b1e13c8d25f4d3d90a",
"name": {
"en": "<string>",
"nl": "<string>"
},
"sourceLanguage": "en",
"description": {
"en": "<string>",
"nl": "<string>"
},
"duration": "60",
"durationType": "Minutes",
"defaultLocationId": "66f7b8b1e13c8d25f4d3d90a",
"color": "#105dfb",
"groupSize": 12,
"enforceGroupSizeLimit": true,
"isOnline": false,
"blockCalendarCheck": false,
"bookingOption": "BOOKING_OPTION",
"cancellationPolicy": "",
"waitingList": "",
"eventType": "Group",
"clientCalendarVisibilityMode": "visible",
"pricing": {
"price": 12.5,
"currency": "EUR",
"vatPercentage": 21
},
"creditRequirement": {
"credits": 1
},
"mediaCount": 2,
"archived": false,
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Event templates
List event templates
Requires event_templates:read. Lists calendar event templates used by availability searches and bookings. Supports optional eventType label filtering. limit is capped at 100.
GET
/
public
/
v1
/
event-templates
cURL
curl -X GET "https://api.fitsociety.io/public/v1/event-templates" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/event-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/event-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"eventTemplates": [
{
"eventTemplateId": "66f7b8b1e13c8d25f4d3d90a",
"name": {
"en": "<string>",
"nl": "<string>"
},
"sourceLanguage": "en",
"description": {
"en": "<string>",
"nl": "<string>"
},
"duration": "60",
"durationType": "Minutes",
"defaultLocationId": "66f7b8b1e13c8d25f4d3d90a",
"color": "#105dfb",
"groupSize": 12,
"enforceGroupSizeLimit": true,
"isOnline": false,
"blockCalendarCheck": false,
"bookingOption": "BOOKING_OPTION",
"cancellationPolicy": "",
"waitingList": "",
"eventType": "Group",
"clientCalendarVisibilityMode": "visible",
"pricing": {
"price": 12.5,
"currency": "EUR",
"vatPercentage": 21
},
"creditRequirement": {
"credits": 1
},
"mediaCount": 2,
"archived": false,
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I